Subject: Re: bug#38294: [PATCH] Handle killing of virtual buffers in Ido

From: Stefan Kangas <[email-masked]>
Date: Mon, 20 Jan 2020 19:40:57 +0100

Dario Gjorgjevski <[email-masked]> writes:

> Currently, ‘ido-kill-buffer’ does essentially nothing to virtual
> buffers.  (They are visited and then immediately killed.)  The attached
> patch changes that so that they are instead removed from ‘recentf-list’,
> akin to ‘ido-kill-buffer-at-head’.

I noticed that you have gotten no reply here.  Could you please
describe what problem it is you are solving, is this fixing a bug or
adding a new feature?

How can I test that this code works as advertised, preferably starting
from "emacs -Q"?  Please give a step by step description, including a
description of what happens before and after applying your patch.

Thanks in advance.

Best regards,
Stefan Kangas